## org.apache.commons.math.distribution
Interface ExponentialDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution, HasDensity<java.lang.Double>

All Known Implementing Classes:
  ExponentialDistributionImpl

    public interface ExponentialDistribution

extends ContinuousDistribution, HasDensity<java.lang.Double>

The Exponential Distribution.

References:

- Exponential Distribution

Version:
  $Revision: 920852 $ $Date: 2010-03-09 07:53:44 -0500 (Tue, 09 Mar 2010) $

Method Summary
`double` `density(java.lang.Double x)` Return the probability density for a particular point.
`double` `getMean()` Access the mean.
`void` `setMean(double mean)` Deprecated. as of v2.1

Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution
`inverseCumulativeProbability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### setMean

    @Deprecated
    void setMean(double mean)

  Deprecated. as of v2.1

  Modify the mean.

  Parameters:
    `mean` - the new mean.

### getMean

    double getMean()

  Access the mean.

  Returns:
    the mean.

### density

    double density(java.lang.Double x)

  Return the probability density for a particular point.

  Specified by:
    `density` in interface `HasDensity<java.lang.Double>`
  Parameters:
    `x` - The point at which the density should be computed.
  Returns:
    The pdf at point x.

Copyright (c) 2003-2010 Apache Software Foundation